- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_collection_t

# mongoc_collection_validate()

## Synopsis

    bool
    mongoc_collection_validate (mongoc_collection_t *collection,
                                const bson_t *options,
                                bson_t *reply,
                                bson_error_t *error);

## Deprecated

This helper function is deprecated and should not be used in new code. Run the validate command directly with mongoc_client_read_command_with_opts() instead.

## Parameters

- `collection`: A mongoc_collection_t.
- `options`: A `bson_t`.
- `reply`: An optional location for a `bson_t`.
- `error`: An optional location for a bson_error_t or `NULL`.

## Description

This function is a helper function to execute the `validate` MongoDB command.

Currently, the only supported options are `full`, which is a boolean and `scandata`, also a boolean.

See the MongoDB documentation for more information on this command.

## Errors

Errors are propagated via the `error` parameter.

## Returns

Returns `true` if successful. Returns `false` and sets `error` if there are invalid arguments or a server or network error.

`reply` is always initialized if it’s not `NULL` and must be destroyed with `bson_destroy()`.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.